%global momorel 2

Name:           perl-Task-Catalyst
Version:        4.00
Release:        %{momorel}m%{?dist}
Summary:        All you need to start with Catalyst
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Task-Catalyst/
Source0:        http://www.cpan.org/authors/id/F/FL/FLORA/Task-Catalyst-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Catalyst-Runtime >= 5.7007
BuildRequires:	perl-Catalyst-Authentication-Store-DBIx-Class >= 0.04
BuildRequires:	perl-Catalyst-Controller-FormBuilder >= 0.03
BuildRequires:	perl-Catalyst-Controller-HTML-FormFu >= 0.03
BuildRequires:  perl-Catalyst-Devel >= 1.02
BuildRequires:	perl-Catalyst-Engine-Apache >= 1.09
BuildRequires:	perl-Catalyst-Plugin-Authorization-ACL
BuildRequires:	perl-Catalyst-Plugin-Authorization-Roles
BuildRequires:  perl-FCGI
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:	perl-PAR
Requires:       perl-Catalyst-Runtime >= 5.7007
Requires:	perl-Catalyst-Authentication-Store-DBIx-Class >= 0.04
Requires:	perl-Catalyst-Controller-FormBuilder >= 0.03
Requires:	perl-Catalyst-Controller-HTML-FormFu >= 0.03
Requires:       perl-Catalyst-Devel >= 1.02
Requires:	perl-Catalyst-Engine-Apache >= 1.09
Requires:	perl-PAR
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Obsoletes:	perl-Catalyst-Plugin-Authentication-Store-DBIC

%description
Installs everything you need to write serious Catalyst applications.

%prep
%setup -q -n Task-Catalyst-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Task/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (4.00-2m)
- full rebuild for mo7 release

* Thu Jun 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.00-1m)
- update to 4.00

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0000-6m)
- rebuild against perl-5.12.1

* Sun Apr 25 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0000-5m)
- add BuildRequires:  perl-FCGI
- add BuildRequires:  perl-Catalyst-Plugin-Authorization-ACL
- add BuildRequires:  perl-Catalyst-Plugin-Authorization-Roles

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0000-4m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.0000-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0000-2m)
- rebuild against perl-5.10.1

* Sat Jun 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0000-1m)
- update to 3.0000
- modify BuildRequires: and Requires:
- perl-Catalyst-Plugin-Authentication-Store-DBIC was DEPRECATED

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.90-7m)
- rebuild against rpm-4.6

* Sun Apr 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.90-6m)
- change Source0 URI

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.90-5m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.90-4m)
- use vendor

* Thu Jan  4 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.90-3m)
- add BuildRequires:  perl-Catalyst-Plugin-Authentication-Store-Htpasswd

* Mon Oct 02 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.90-2m)
- add BuildRequires:  perl-Catalyst-Plugin-Authorization-Roles
- add BuildRequires:  perl-Catalyst-Model-DBIC-Schema
- add BuildRequires:  perl-Catalyst-Plugin-I18N
- add BuildRequires:  perl-Catalyst-Plugin-Authentication-Store-DBIC
- add BuildRequires:  perl-Catalyst-Runtime
- add Requires:  perl-Catalyst-Runtime

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.90-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
